# class KColorCombo | Combobox for colours. More...
Definition | `#include <kcolorcombo.h>`
Inherits | QComboBox (qt) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KColorCombo ( QWidget *parent, const char *name = 0L )
- void setColor ( const QColor &col )
- QColor color ()

#### Public Slots

- void slotActivated ( int index )
- void slotHighlighted ( int index )

#### Signals

- void activated ( const QColor &col )
- void highlighted ( const QColor &col )

## Detailed Description

Combobox for colours.

KColorCombo ( QWidget *parent, const char *name = 0L ) | ### KColorCombo

void setColor ( const QColor &col ) | ### setColor

QColor color () | ### color

Retrieve the currently selected color.

void slotActivated ( int index ) | ### slotActivated

[slot]

void slotHighlighted ( int index ) | ### slotHighlighted

[slot]

void activated ( const QColor &col ) | ### activated

[signal]

Reimplemented from QComboBox.

void highlighted ( const QColor &col ) | ### highlighted

[signal]

Reimplemented from QComboBox.

void resizeEvent ( QResizeEvent *re ) | ### resizeEvent

[protected virtual]

Reimplemented from QComboBox for internal purposes..

Generated by: root@sparc.ports.openbsd.org on Wed May 2 09:37:45 2001, using kdoc 2.0a53.